Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class CommandParser

    java.lang.Object
      org.basex.util.InputParser
          org.basex.core.CommandParser

    public final class CommandParser

extends InputParser

This is a parser for command strings, creating `Process` instances. Several commands can be formulated in one string and separated by semicolons.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`Context` | `ctx` Context.

Fields inherited from class org.basex.util.InputParser
`file, ql, qm, qp, qu`

Constructor Summary
`CommandParser(java.lang.String in)` Constructor, parsing the input queries.
`CommandParser(java.lang.String in, Context c)` Constructor, parsing the input queries.

Method Summary
`void` | `error(StringList comp, java.lang.String m, java.lang.Object... e)` Throws an error.
`Process[]` | `parse()` Parses the input and returns a command list.

Methods inherited from class org.basex.util.InputParser
`consume, consume, consume, consumeWS, curr, curr, ent, found, init, invalidEnt, mark, more, next, quote, rest, valid`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    public Context ctx

  Context.

Constructor Detail

### CommandParser

    public CommandParser(java.lang.String in)

  Constructor, parsing the input queries.

  Parameters:
    `in` - query input

### CommandParser

    public CommandParser(java.lang.String in,
                         Context c)

  Constructor, parsing the input queries.

  Parameters:
    `in` - query input
    `c` - context

Method Detail

### parse

    public Process[] parse()
                    throws QueryException

  Parses the input and returns a command list.

  Returns:
    commands
  Throws:
    `QueryException` - query exception

### error

    public void error(StringList comp,
                      java.lang.String m,
                      java.lang.Object... e)
               throws QueryException

  Throws an error.

  Parameters:
    `comp` - input completions
    `m` - message
    `e` - extension
  Throws:
    `QueryException` - query exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD